"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMaxSum = void 0;
/**
 * Returns a new array with the keys of the given array
 * @param n
 */
const generateArr = (n) => [...Array(n).keys()];
/**
 * Returns the sum of all array objects, used to sum the height of all rows within a space to get the highest
 * when we have merged cell
 * @param generator
 * @param spanSize
 */
const getMaxSum = (generator, spanSize) => generateArr(spanSize).reduce((sum, i) => sum + generator(i), 0);
exports.getMaxSum = getMaxSum;
