"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortIndicator = void 0;
const tslib_1 = require("tslib");
const ArrowUpward_1 = tslib_1.__importDefault(require("@mui/icons-material/ArrowUpward"));
const ArrowDownward_1 = tslib_1.__importDefault(require("@mui/icons-material/ArrowDownward"));
const react_1 = tslib_1.__importStar(require("react"));
exports.SortIndicator = (0, react_1.memo)(({ order }) => {
    if (!order) {
        return null;
    }
    const iconProps = {
        style: { fontSize: '10px' },
        display: 'flex',
    };
    return order === 'asc' ? react_1.default.createElement(ArrowUpward_1.default, Object.assign({}, iconProps)) : react_1.default.createElement(ArrowDownward_1.default, Object.assign({}, iconProps));
});
