export declare const ROW_SELECTION_CHANGE = "ROW_SELECTION_CHANGE";
export declare const CELL_CLICK = "CELL_CLICK";
export declare const CELL_DOUBLE_CLICK = "CELL_DOUBLE_CLICK";
export declare const CELL_BEGIN_EDITING = "CELL_BEGIN_EDITING";
export declare const CELL_STOP_EDITING = "CELL_STOP_EDITING";
export declare const DATA_CHANGED = "DATA_CHANGED";
export declare const ROWS_CHANGED = "ROWS_CHANGED";
export declare const COLUMNS_CHANGED = "COLUMNS_CHANGED";
export declare const GRID_RESIZE = "GRID_RESIZE";
export declare const CELL_NAVIGATION_CHANGED = "CELL_NAVIGATION_CHANGED";
export declare const COLLAPSES_CHANGED = "COLLAPSES_CHANGED";
export declare const COLLAPSES_COLUMNS_CHANGED = "COLLAPSES_COLUMNS_CHANGED";
export declare const THEME_CHANGED = "THEME_CHANGED";
/**
 * Returns the list of internal events that we should provide
 * Intellisense
 */
export declare const APOLLO_INTERNAL_EVENTS: string[];
declare type ElementType<T extends ReadonlyArray<unknown>> = T extends ReadonlyArray<infer ElementType> ? ElementType : never;
export declare type ApolloInternalEvents = ElementType<typeof APOLLO_INTERNAL_EVENTS>;
export {};
