"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APOLLO_INTERNAL_EVENTS = exports.THEME_CHANGED = exports.COLLAPSES_COLUMNS_CHANGED = exports.COLLAPSES_CHANGED = exports.CELL_NAVIGATION_CHANGED = exports.GRID_RESIZE = exports.COLUMNS_CHANGED = exports.ROWS_CHANGED = exports.DATA_CHANGED = exports.CELL_STOP_EDITING = exports.CELL_BEGIN_EDITING = exports.CELL_DOUBLE_CLICK = exports.CELL_CLICK = exports.ROW_SELECTION_CHANGE = void 0;
exports.ROW_SELECTION_CHANGE = 'ROW_SELECTION_CHANGE';
exports.CELL_CLICK = 'CELL_CLICK';
exports.CELL_DOUBLE_CLICK = 'CELL_DOUBLE_CLICK';
exports.CELL_BEGIN_EDITING = 'CELL_BEGIN_EDITING';
exports.CELL_STOP_EDITING = 'CELL_STOP_EDITING';
exports.DATA_CHANGED = 'DATA_CHANGED';
exports.ROWS_CHANGED = 'ROWS_CHANGED';
exports.COLUMNS_CHANGED = 'COLUMNS_CHANGED';
exports.GRID_RESIZE = 'GRID_RESIZE';
exports.CELL_NAVIGATION_CHANGED = 'CELL_NAVIGATION_CHANGED';
exports.COLLAPSES_CHANGED = 'COLLAPSES_CHANGED';
exports.COLLAPSES_COLUMNS_CHANGED = 'COLLAPSES_COLUMNS_CHANGED';
exports.THEME_CHANGED = 'THEME_CHANGED';
/**
 * Returns the list of internal events that we should provide
 * Intellisense
 */
exports.APOLLO_INTERNAL_EVENTS = [
    exports.ROW_SELECTION_CHANGE,
    exports.CELL_CLICK,
    exports.CELL_DOUBLE_CLICK,
    exports.CELL_BEGIN_EDITING,
    exports.CELL_STOP_EDITING,
    exports.DATA_CHANGED,
    exports.ROWS_CHANGED,
    exports.COLUMNS_CHANGED,
    exports.GRID_RESIZE,
    exports.CELL_NAVIGATION_CHANGED,
    exports.COLLAPSES_CHANGED,
    exports.THEME_CHANGED,
];
