"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApiRef = void 0;
const react_1 = require("react");
const events_1 = require("events");
const logger_1 = require("../logger");
/**
 * Hook that instantiate an ApiRef to pass in component prop.
 */
function useApiRef() {
    const logger = (0, logger_1.useLogger)('useApiRef');
    logger.debug('Creating a new ApiRef as EventEmitter.');
    return (0, react_1.useRef)(new events_1.EventEmitter());
}
exports.useApiRef = useApiRef;
