import { ColumnWidthDictionary, Column } from '../types';
import { StretchMode } from '../../types';
/**
 * Creates an object indexing the fixed column widths by its index as key for fast lookup on dynamic widths
 * The result is also memoized and the latest is returned
 * @param columns
 * @param containerWidth
 * @param minColumnWidth
 * @param stretchMode
 */
export declare const createColumnWidthsMapping: (columns: Column[], containerWidth: number, minColumnWidth: number, stretchMode: StretchMode) => {
    totalSize: number;
    mapping: ColumnWidthDictionary;
};
