"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatExpandedColumns = void 0;
const flatExpandedColumns = (columns, apiRef) => {
    const flattenColumn = [];
    columns.forEach(e => {
        if (e.__children &&
            e.__children.length > 0 &&
            apiRef.current.isColumnExpanded(e[apiRef.current.selectionKey])) {
            const flatten = (0, exports.flatExpandedColumns)(e.__children, apiRef);
            flattenColumn.push(e);
            flattenColumn.push(...flatten);
        }
        else {
            flattenColumn.push(e);
        }
    });
    return flattenColumn;
};
exports.flatExpandedColumns = flatExpandedColumns;
