"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCellValue = void 0;
/**
 * Ensures the value is at least an empty cell value if is not a valid dom element
 * @param value
 */
const formatCellValue = (value) => {
    if (typeof value === 'object' || Array.isArray(value) || value === undefined || value === null) {
        return '';
    }
    return String(value);
};
exports.formatCellValue = formatCellValue;
