import { GridCell } from '../gridWrapper';
import { Row } from '../types';
import { ApolloCoreProps, ApolloDataProps, ApolloLayoutProps } from '../ApolloSpreadsheetProps';
interface Props extends Pick<ApolloDataProps, 'rows'>, Pick<ApolloLayoutProps, 'selection'>, Required<ApolloCoreProps> {
    initialised: boolean;
    nestedRowsEnabled: boolean;
}
/**
 * `useData` handles all the rows and cells operations of this plugin
 */
export declare function useData({ rows, selection, initialised, apiRef, nestedRowsEnabled }: Props): {
    cells: GridCell[][];
    rows: Row[];
};
export {};
