import { DynamicCallback, DynamicCallbackParams, Row } from '../types';
/**
 * Returns the value against the provided generic but in case a function is provided
 * it will be resolved accordingly and must return the same generic value
 * @param callbackOrValue
 * @param params
 */
export declare const resolveDynamicCallback: <Value = any, TRow = Row>(callbackOrValue: Value | DynamicCallback<TRow, Value>, params: DynamicCallbackParams<TRow>) => Value;
