import React from 'react';
import { NavigationCoords } from './types';
import { ApiRef } from '../api';
import { ICellChangeEvent } from '../gridWrapper';
interface Props {
    defaultCoords: NavigationCoords;
    suppressControls: boolean;
    onCellChange?: ICellChangeEvent;
    onCreateRow?: (coords: NavigationCoords) => void;
    apiRef: ApiRef;
    initialised: boolean;
}
export interface KeyDownEventParams {
    event: KeyboardEvent | React.KeyboardEvent;
}
export declare function useKeyboard({ defaultCoords, suppressControls, onCellChange, onCreateRow, apiRef, initialised, }: Props): {
    coords: NavigationCoords;
    wasClicked: boolean;
};
export {};
