"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultValueFromValue = void 0;
/**
 * Returns a default value according to the given value type
 * @param value
 */
const getDefaultValueFromValue = (value) => {
    if (Array.isArray(value)) {
        return [];
    }
    if (typeof value === 'string') {
        return '';
    }
    if (typeof value === 'number') {
        return 0;
    }
    return undefined;
};
exports.getDefaultValueFromValue = getDefaultValueFromValue;
