"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogger = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const logger_factory_1 = require("./logger-factory");
/**
 * Provides a logger utility that may be disabled in production or customized
 * @param name
 */
function useLogger(name) {
    const { current } = react_1.default.useRef((0, logger_factory_1.loggerFactory)(name));
    return current;
}
exports.useLogger = useLogger;
