"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MERGED_OVERLAP = exports.MERGED_DUPLICATED = exports.MERGED_ZERO_SPAN = exports.MERGED_SINGLE_CELL = exports.MERGED_OUT_OF_BONDS = exports.MERGED_NEGATIVE_VALUES = void 0;
const MERGED_NEGATIVE_VALUES = ({ rowIndex, colIndex }) => `Merged cell contains negative values, therefore it cannot be added to the collection [${rowIndex},${colIndex}]`;
exports.MERGED_NEGATIVE_VALUES = MERGED_NEGATIVE_VALUES;
const MERGED_OUT_OF_BONDS = ({ rowIndex, colIndex }) => `Merged cell is out of boundaries, you must review the given configuration, therefore it cannot be added to the collection [${rowIndex},${colIndex}]`;
exports.MERGED_OUT_OF_BONDS = MERGED_OUT_OF_BONDS;
const MERGED_SINGLE_CELL = ({ rowIndex, colIndex, }) => `The merged cell declared at [${rowIndex}, ${colIndex}] has both "rowspan"\x20
      and "colspan" declared as "1", which makes it a single cell. It cannot be added to the collection`;
exports.MERGED_SINGLE_CELL = MERGED_SINGLE_CELL;
const MERGED_ZERO_SPAN = ({ rowIndex, colIndex, }) => `The merged cell declared at [${rowIndex}, ${colIndex}] has "rowspan"\x20
      or "colspan" declared as "0", which is not supported. It cannot be added to the collection.`;
exports.MERGED_ZERO_SPAN = MERGED_ZERO_SPAN;
const MERGED_DUPLICATED = ({ rowIndex, colIndex }) => `The merged cell declared at [${rowIndex}, ${colIndex}] already exists and seems to be duplicated. It cannot be added to the collection twice.`;
exports.MERGED_DUPLICATED = MERGED_DUPLICATED;
const MERGED_OVERLAP = ({ rowIndex, colIndex, }) => `The merged cell declared at [${rowIndex}, ${colIndex}], overlaps\x20
			with the other declared merged cell. The overlapping merged cell was not added to the table, please\x20
			fix your setup.`;
exports.MERGED_OVERLAP = MERGED_OVERLAP;
