import { ApolloCoreProps } from '../ApolloSpreadsheetProps';
import { NestedColumnsProps } from './nestedColumnsProps';
interface Props extends Required<ApolloCoreProps>, Pick<NestedColumnsProps, 'defaultExpandedColumnsIds'> {
    enabled: boolean;
    initialised: boolean;
}
/**
 * This hook exposes utilities and methods to interact with Columns children
 */
export declare function useNestedColumns({ apiRef, enabled, initialised, defaultExpandedColumnsIds, }: Props): {
    expandedColumnIndices: string[];
    isColumnExpanded: (id: string) => boolean;
};
export {};
