import { ApolloCoreProps } from '../ApolloSpreadsheetProps';
import { NestedRowsProps } from './nestedRowsProps';
interface Props extends Required<ApolloCoreProps>, Pick<NestedRowsProps, 'defaultExpandedIds'> {
    enabled: boolean;
    initialised: boolean;
}
/**
 * This hook exposes utilities and methods to interact with rows children
 */
export declare function useNestedRows({ apiRef, enabled, initialised, defaultExpandedIds }: Props): {
    expandedRowIndices: string[];
    isRowExpanded: (id: string) => boolean;
};
export {};
